textures/t3h_poolparty2/poolparty2_concrete
{
    qer_editorimage textures/t3h_poolparty2/concrete.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/concrete.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_floortiles
{
    qer_editorimage textures/t3h_poolparty2/floortiles.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/floortiles.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_fieldstone
{
    qer_editorimage textures/t3h_poolparty2/fieldstone.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/fieldstone.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_fieldstone_stripe
{
    qer_editorimage textures/t3h_poolparty2/fieldstone-stripe.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/t3h_poolparty2/fieldstone-stripe.jpg
		blendFunc filter
	}
}

textures/t3h_poolparty2/poolparty2_testies_advert
{
	qer_editorimage textures/t3h_poolparty2/testies.tga

	q3map_lightimage textures/t3h_poolparty2/testies.tga
    q3map_surfacelight 100
	{
		map textures/t3h_poolparty2/testies.tga
	    rgbGen wave square 0 1 0 0
	}
	{
		map $lightmap
        rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
        rgbGen wave sin .25 0 0 0
		blendfunc add
	}	          		
}

textures/t3h_poolparty2/poolparty2_sky
{
	qer_editorimage env/t3h_poolparty2/skyclouds.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 217 229 232 400 100 55 3 16
    q3map_lightRGB 217 229 232
    q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
    q3map_backsplash 0 0
    skyparms env/t3h_poolparty2/sky - -
}

textures/t3h_poolparty2/poolparty2_waterfog
{
	qer_editorimage textures/common/white.tga
	qer_trans .8
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.3 0.45 0.5 ) 1300
	qer_nocarve
}

textures/t3h_poolparty2/poolparty2_ink
{
	qer_editorimage gfx/colors/black.tga
	
	q3map_notjunc
	q3map_nonplanar
	q3map_bounce 0.0
	q3map_shadeangle 120
	q3map_texturesize 1 1
	q3map_invert
	q3map_offset -0.65
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map gfx/colors/black.tga
		rgbGen identity
	}
}
textures/t3h_poolparty2/poolparty2_fancywater
{ 	 
    qer_editorimage textures/t3h_poolparty2/water.jpg
    sort banner
    qer_trans 0.8
    surfaceparm nonsolid
    surfaceparm nonopaque
    surfaceparm trans
    surfaceparm water
    q3map_material Water
	cull disable
    tessSize 128
    deformvertexes normal 0.1 0.85
    deformvertexes wave 128 sin 0 0.5 0.3 0.5
	{ 
		map textures/t3h_poolparty2/pool3d_5e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
    { 	 
    map textures/t3h_poolparty2/water_reflect.jpg
    tcGen environment
    rgbGen const ( 0.3 0.2 0.2 )
    blendFunc GL_ONE GL_ONE 	// transparency
    } 	 
    { 	 
    map textures/t3h_poolparty2/water_reflect.jpg
    tcGen environment
    blendFunc GL_DST_COLOR GL_ZERO
    }
	{ 
		map textures/t3h_poolparty2/pool3d_3e.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
		rgbGen const ( 0.3 0.3 0.3 )
	}	
    { 	 
     map $lightmap
     blendFunc GL_DST_COLOR GL_ZERO
    } 	 
}

textures/t3h_poolparty2/poolparty2_pewter_shiney
{   
  qer_editorimage textures/t3h_poolparty2/pewter_shiney.tga
        {
                map textures/t3h_poolparty2/testies_reflect.jpg      
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/t3h_poolparty2/pewter_shiney.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}